Devuan bug report logs - #505
iwd: Doesn't start at boot for beowulf

version graph

Package: iwd; Maintainer for iwd is Job Bautista <jobbautista9@protonmail.com>;

Reported by: Job Bautista <jobbautista9@protonmail.com>

Date: Sun, 9 Aug 2020 13:18:01 UTC

Severity: grave

Tags: patch, stable

Found in version 0.14-2

Reply or subscribe to this bug.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to devuan-bugs@lists.dyne.org, devuan-dev@lists.dyne.org:
bug#505; Package iwd. (Sun, 09 Aug 2020 13:18:01 GMT) (full text, mbox, link).


Acknowledgement sent to Job Bautista <jobbautista9@protonmail.com>:
New bug report received and forwarded. Copy sent to devuan-dev@lists.dyne.org. (Sun, 09 Aug 2020 13:18:09 GMT) (full text, mbox, link).


Message #5 received at submit@bugs.devuan.org (full text, mbox, reply):

From: Job Bautista <jobbautista9@protonmail.com>
To: "submit@bugs.devuan.org" <submit@bugs.devuan.org>
Subject: iwd: Doesn't start at boot for beowulf
Date: Sun, 09 Aug 2020 13:01:21 +0000
Package: iwd
Version: 0.14-2
Severity: grave
Tags: patch
Justification: renders package unusable

iwd 0.14-2 doesn't get started by init. I have to manually start it. This can
be fixed easily by adding an sysvinit script at the debian directory.

I have a fix available at https://git.devuan.org/jobbautista9/iwd/src/branch/suites/beowulf. I would
like it to be accepted into the main archive, which I can't do via a new issue at git.

Information forwarded to devuan-bugs@lists.dyne.org, Job Bautista <jobbautista9@protonmail.com>:
bug#505; Package iwd. (Mon, 10 Aug 2020 10:18:02 GMT) (full text, mbox, link).


Message #8 received at 505@bugs.devuan.org (full text, mbox, reply):

From: Mark Hindley <mark@hindley.org.uk>
To: Job Bautista <jobbautista9@protonmail.com>, 505@bugs.devuan.org
Subject: Re: bug#505: iwd: Doesn't start at boot for beowulf
Date: Mon, 10 Aug 2020 11:01:41 +0100
On Sun, Aug 09, 2020 at 01:01:21PM +0000, Job Bautista wrote:
> Package: iwd
> Version: 0.14-2
> Severity: grave
> Tags: patch
> Justification: renders package unusable
> 
> iwd 0.14-2 doesn't get started by init. I have to manually start it. This can
> be fixed easily by adding an sysvinit script at the debian directory.
> 
> I have a fix available at https://git.devuan.org/jobbautista9/iwd/src/branch/suites/beowulf. I would
> like it to be accepted into the main archive, which I can't do via a new issue at git.

Job,

My suggestion to address this would be to rebuild your version 1.8-1+devuan1 for
beowulf-proposed-updates. Unless you know of a reason why the later version
won't work in beowulf?

Mark

Information forwarded to devuan-bugs@lists.dyne.org:
bug#505; Package iwd. (Mon, 10 Aug 2020 12:33:01 GMT) (full text, mbox, link).


Acknowledgement sent to Job Bautista <jobbautista9@protonmail.com>:
Extra info received and forwarded to list. (Mon, 10 Aug 2020 12:33:04 GMT) (full text, mbox, link).


Message #13 received at 505@bugs.devuan.org (full text, mbox, reply):

From: Job Bautista <jobbautista9@protonmail.com>
To: Mark Hindley <mark@hindley.org.uk>
Cc: "505@bugs.devuan.org" <505@bugs.devuan.org>
Subject: iwd: Doesn't start at boot for beowulf
Date: Mon, 10 Aug 2020 12:20:07 +0000
[Message part 1 (text/plain, inline)]
I chose to use 0.14 instead of 1.8 because I don't want to compromise stability. However, if you guys
prefer to use 1.8 instead, that's fine. I already backported 1.8-1+devuan1 to beowulf as you can see
at the suites/beowulf-backports[1] branch of the devuan/iwd repo. Both 0.14 and 1.8 should work fine with beowulf.

However, I said "should work". There's a reason for that. For some reason, iwd doesn't work well
in sysv-rc, which is probably the default rc for most Devuan systems. In 0.14, it doesn't work at
all. In 1.8, I had to restart it after booting. This is not the case for openrc, which works fine.

I'm not sure which one to blame here. It could be sysv-rc's fault, or my initscript. I will attach
two logs in this email showing the boot log of openrc and the boot log of sysv. I noticed that iwd
starts earlier in sysv-rc than in openrc. Maybe that's the culprit?

Job Bautista

[1]: https://git.devuan.org/devuan/iwd/src/branch/suites/beowulf-backports


‐‐‐‐‐‐‐ Original Message ‐‐‐‐‐‐‐
On Monday, August 10, 2020 6:01 PM, Mark Hindley <mark@hindley.org.uk> wrote:

> On Sun, Aug 09, 2020 at 01:01:21PM +0000, Job Bautista wrote:
> 

> > Package: iwd
> > Version: 0.14-2
> > Severity: grave
> > Tags: patch
> > Justification: renders package unusable
> > iwd 0.14-2 doesn't get started by init. I have to manually start it. This can
> > be fixed easily by adding an sysvinit script at the debian directory.
> > I have a fix available at https://git.devuan.org/jobbautista9/iwd/src/branch/suites/beowulf. I would
> > like it to be accepted into the main archive, which I can't do via a new issue at git.
> 

> Job,
> 

> My suggestion to address this would be to rebuild your version 1.8-1+devuan1 for
> beowulf-proposed-updates. Unless you know of a reason why the later version
> won't work in beowulf?
> 

> Mark

[openrclog (application/octet-stream, attachment)]
[sysvrclog (application/octet-stream, attachment)]
[signature.asc (application/pgp-signature, attachment)]

Information forwarded to devuan-bugs@lists.dyne.org, Job Bautista <jobbautista9@protonmail.com>:
bug#505; Package iwd. (Mon, 10 Aug 2020 16:03:01 GMT) (full text, mbox, link).


Acknowledgement sent to Mark Hindley <mark@hindley.org.uk>:
Extra info received and forwarded to list. Copy sent to Job Bautista <jobbautista9@protonmail.com>. (Mon, 10 Aug 2020 16:03:09 GMT) (full text, mbox, link).


Message #18 received at 505@bugs.devuan.org (full text, mbox, reply):

From: Mark Hindley <mark@hindley.org.uk>
To: Job Bautista <jobbautista9@protonmail.com>
Cc: "505@bugs.devuan.org" <505@bugs.devuan.org>
Subject: Re: iwd: Doesn't start at boot for beowulf
Date: Mon, 10 Aug 2020 16:46:37 +0100
On Mon, Aug 10, 2020 at 12:20:07PM +0000, Job Bautista wrote:
> I chose to use 0.14 instead of 1.8 because I don't want to compromise stability. However, if you guys
> prefer to use 1.8 instead, that's fine. I already backported 1.8-1+devuan1 to beowulf as you can see
> at the suites/beowulf-backports[1] branch of the devuan/iwd repo. Both 0.14
> and 1.8 should work fine with beowulf.

I don't mind particularly either.

> However, I said "should work". There's a reason for that. For some reason, iwd doesn't work well
> in sysv-rc, which is probably the default rc for most Devuan systems. In 0.14, it doesn't work at
> all. In 1.8, I had to restart it after booting. This is not the case for
> openrc, which works fine.

So if 0.14 doesn't work that isn't really a stable option.

> I'm not sure which one to blame here. It could be sysv-rc's fault, or my initscript. I will attach
> two logs in this email showing the boot log of openrc and the boot log of sysv. I noticed that iwd
> starts earlier in sysv-rc than in openrc. Maybe that's the culprit?

Sounds like that needs more debugging.

Mark

Added tag(s) stable. Request was from Job Bautista <jobbautista9@protonmail.com> to control@bugs.devuan.org. (Fri, 21 Aug 2020 14:03:02 GMT) (full text, mbox, link).


Send a report that this bug log contains spam.


Devuan BTS -- Powered by Debian bug tracking system
Copyright (C) 1999 Darren O. Benham,
1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson,
2005-2017 Don Armstrong, and many other contributors.

Devuan Bugs Owner <owner@bugs.devuan.org>.
Last modified: Thu Apr 15 16:56:04 2021;